from app.data.storage.IDeleteActiveProductByProductMonitoringIdDBStorage import IDeleteActiveProductByProductMonitoringIdDBStorage
from app.domain.repository.IDeleteActiveProductByProductMonitoringIdRepository import IDeleteActiveProductByProductMonitoringIdRepository
from app.domain.models.ProductMonitoringId import ProductMonitoringId as domainModelsProductMonitoringId
from app.data.storage.models.ProductMonitoringId import ProductMonitoringId as storageModelsProductMonitoringId

class DeleteActiveProductByProductMonitoringIdRepositoryImpl(IDeleteActiveProductByProductMonitoringIdRepository):

    def __init__(self, delete_active_product_by_product_monitoring_id_db_storage: IDeleteActiveProductByProductMonitoringIdDBStorage):
        self.delete_active_product_by_product_monitoring_id_db_storage: IDeleteActiveProductByProductMonitoringIdDBStorage = delete_active_product_by_product_monitoring_id_db_storage

    def delete(self, product_id: domainModelsProductMonitoringId) -> int:
        storage_models_product_monitoring_id: storageModelsProductMonitoringId = storageModelsProductMonitoringId(product_id.id)
        return self.delete_active_product_by_product_monitoring_id_db_storage.delete(storage_models_product_monitoring_id)

